Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface WebAppType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  WebAppTypeImpl

    public interface WebAppType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `web-appType` xsd type

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`AbsoluteOrderingType<WebAppType<T>>` | `absoluteOrdering()` Returns the `absolute-ordering` element
`ParamValueType<WebAppType<T>>` | `contextParam()` Returns the `context-param` element
`DataSourceType<WebAppType<T>>` | `dataSource()` Returns the `data-source` element
`WebAppType<T>` | `distributable()`
`EjbLocalRefType<WebAppType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<WebAppType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<WebAppType<T>>` | `envEntry()` Returns the `env-entry` element
`ErrorPageType<WebAppType<T>>` | `errorPage()` Returns the `error-page` element
`FilterType<WebAppType<T>>` | `filter()` Returns the `filter` element
`FilterMappingType<WebAppType<T>>` | `filterMapping()` Returns the `filter-mapping` element
`java.util.List<AbsoluteOrderingType<WebAppType<T>>>` | `getAbsoluteOrderingList()` Returns all `absolute-ordering` elements
`java.util.List<ParamValueType<WebAppType<T>>>` | `getContextParamList()` Returns all `context-param` elements
`java.util.List<DataSourceType<WebAppType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<WebAppType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.util.List<EjbRefType<WebAppType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<WebAppType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.util.List<ErrorPageType<WebAppType<T>>>` | `getErrorPageList()` Returns all `error-page` elements
`java.util.List<FilterType<WebAppType<T>>>` | `getFilterList()` Returns all `filter` elements
`java.util.List<FilterMappingType<WebAppType<T>>>` | `getFilterMappingList()` Returns all `filter-mapping` elements
`java.util.List<IconType<WebAppType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JspConfigType<WebAppType<T>>>` | `getJspConfigList()` Returns all `jsp-config` elements
`java.util.List<ListenerType<WebAppType<T>>>` | `getListenerList()` Returns all `listener` elements
`java.util.List<LocaleEncodingMappingListType<WebAppType<T>>>` | `getLocaleEncodingMappingListList()` Returns all `locale-encoding-mapping-list` elements
`java.util.List<LoginConfigType<WebAppType<T>>>` | `getLoginConfigList()` Returns all `login-config` elements
`java.util.List<MessageDestinationType<WebAppType<T>>>` | `getMessageDestinationList()` Returns all `message-destination` elements
`java.util.List<MessageDestinationRefType<WebAppType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<MimeMappingType<WebAppType<T>>>` | `getMimeMappingList()` Returns all `mime-mapping` elements
`java.util.List<java.lang.String>` | `getModuleNameList()` Returns all `module-name` elements
`java.util.List<PersistenceContextRefType<WebAppType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<WebAppType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<WebAppType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<WebAppType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<WebAppType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<WebAppType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityConstraintType<WebAppType<T>>>` | `getSecurityConstraintList()` Returns all `security-constraint` elements
`java.util.List<SecurityRoleType<WebAppType<T>>>` | `getSecurityRoleList()` Returns all `security-role` elements
`java.util.List<ServletType<WebAppType<T>>>` | `getServletList()` Returns all `servlet` elements
`java.util.List<ServletMappingType<WebAppType<T>>>` | `getServletMappingList()` Returns all `servlet-mapping` elements
`java.util.List<SessionConfigType<WebAppType<T>>>` | `getSessionConfigList()` Returns all `session-config` elements
`WebAppVersionType` | `getVersion()` Returns the `version` element
`java.lang.String` | `getVersionAsString()` Returns the `version` element
`java.util.List<WelcomeFileListType<WebAppType<T>>>` | `getWelcomeFileListList()` Returns all `welcome-file-list` elements
`IconType<WebAppType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isDistributable()`
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`JspConfigType<WebAppType<T>>` | `jspConfig()` Returns the `jsp-config` element
`ListenerType<WebAppType<T>>` | `listener()` Returns the `listener` element
`LocaleEncodingMappingListType<WebAppType<T>>` | `localeEncodingMappingList()` Returns the `locale-encoding-mapping-list` element
`LoginConfigType<WebAppType<T>>` | `loginConfig()` Returns the `login-config` element
`MessageDestinationType<WebAppType<T>>` | `messageDestination()` Returns the `message-destination` element
`MessageDestinationRefType<WebAppType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MimeMappingType<WebAppType<T>>` | `mimeMapping()` Returns the `mime-mapping` element
`PersistenceContextRefType<WebAppType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<WebAppType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<WebAppType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<WebAppType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`WebAppType<T>` | `removeAllAbsoluteOrdering()` Removes all `absolute-ordering` elements
`WebAppType<T>` | `removeAllContextParam()` Removes all `context-param` elements
`WebAppType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`WebAppType<T>` | `removeAllDescription()` Removes the `description` element
`WebAppType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`WebAppType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`WebAppType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`WebAppType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`WebAppType<T>` | `removeAllErrorPage()` Removes all `error-page` elements
`WebAppType<T>` | `removeAllFilter()` Removes all `filter` elements
`WebAppType<T>` | `removeAllFilterMapping()` Removes all `filter-mapping` elements
`WebAppType<T>` | `removeAllIcon()` Removes all `icon` elements
`WebAppType<T>` | `removeAllJspConfig()` Removes all `jsp-config` elements
`WebAppType<T>` | `removeAllListener()` Removes all `listener` elements
`WebAppType<T>` | `removeAllLocaleEncodingMappingList()` Removes all `locale-encoding-mapping-list` elements
`WebAppType<T>` | `removeAllLoginConfig()` Removes all `login-config` elements
`WebAppType<T>` | `removeAllMessageDestination()` Removes all `message-destination` elements
`WebAppType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`WebAppType<T>` | `removeAllMimeMapping()` Removes all `mime-mapping` elements
`WebAppType<T>` | `removeAllModuleName()` Removes the `module-name` element
`WebAppType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`WebAppType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`WebAppType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`WebAppType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`WebAppType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`WebAppType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`WebAppType<T>` | `removeAllSecurityConstraint()` Removes all `security-constraint` elements
`WebAppType<T>` | `removeAllSecurityRole()` Removes all `security-role` elements
`WebAppType<T>` | `removeAllServlet()` Removes all `servlet` elements
`WebAppType<T>` | `removeAllServletMapping()` Removes all `servlet-mapping` elements
`WebAppType<T>` | `removeAllSessionConfig()` Removes all `session-config` elements
`WebAppType<T>` | `removeAllWelcomeFileList()` Removes all `welcome-file-list` elements
`WebAppType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`WebAppType<T>` | `removeVersion()` Removes the `version` attribute
`ResourceEnvRefType<WebAppType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<WebAppType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityConstraintType<WebAppType<T>>` | `securityConstraint()` Returns the `security-constraint` element
`SecurityRoleType<WebAppType<T>>` | `securityRole()` Returns the `security-role` element
`ServletType<WebAppType<T>>` | `servlet()` Returns the `servlet` element
`ServletMappingType<WebAppType<T>>` | `servletMapping()` Returns the `servlet-mapping` element
`SessionConfigType<WebAppType<T>>` | `sessionConfig()` Returns the `session-config` element
`WebAppType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`WebAppType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`WebAppType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`WebAppType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`WebAppType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`WebAppType<T>` | `setModuleName(java.lang.String moduleName)` Creates a new `module-name` element
`WebAppType<T>` | `setModuleNameList(java.lang.String... values)` Creates for all String objects representing `module-name` elements, a new `module-name` element
`WebAppType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`WebAppType<T>` | `setVersion(WebAppVersionType version)` Sets the `version` attribute
`WelcomeFileListType<WebAppType<T>>` | `welcomeFileList()` Returns the `welcome-file-list` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### distributable

    WebAppType<T> distributable()

### isDistributable

    java.lang.Boolean isDistributable()

### removeAllContextParam

    WebAppType<T> removeAllContextParam()

  Removes all `context-param` elements

  Returns:
    the current instance of `WebAppType`

### contextParam

    ParamValueType<WebAppType<T>> contextParam()

  Returns the `context-param` element

  Returns:
    the node defined for the element `context-param`

### getContextParamList

    java.util.List<ParamValueType<WebAppType<T>>> getContextParamList()

  Returns all `context-param` elements

  Returns:
    list of `context-param`

### removeAllFilter

    WebAppType<T> removeAllFilter()

  Removes all `filter` elements

  Returns:
    the current instance of `WebAppType`

### filter

    FilterType<WebAppType<T>> filter()

  Returns the `filter` element

  Returns:
    the node defined for the element `filter`

### getFilterList

    java.util.List<FilterType<WebAppType<T>>> getFilterList()

  Returns all `filter` elements

  Returns:
    list of `filter`

### removeAllFilterMapping

    WebAppType<T> removeAllFilterMapping()

  Removes all `filter-mapping` elements

  Returns:
    the current instance of `WebAppType`

### filterMapping

    FilterMappingType<WebAppType<T>> filterMapping()

  Returns the `filter-mapping` element

  Returns:
    the node defined for the element `filter-mapping`

### getFilterMappingList

    java.util.List<FilterMappingType<WebAppType<T>>> getFilterMappingList()

  Returns all `filter-mapping` elements

  Returns:
    list of `filter-mapping`

### removeAllListener

    WebAppType<T> removeAllListener()

  Removes all `listener` elements

  Returns:
    the current instance of `WebAppType`

### listener

    ListenerType<WebAppType<T>> listener()

  Returns the `listener` element

  Returns:
    the node defined for the element `listener`

### getListenerList

    java.util.List<ListenerType<WebAppType<T>>> getListenerList()

  Returns all `listener` elements

  Returns:
    list of `listener`

### removeAllServlet

    WebAppType<T> removeAllServlet()

  Removes all `servlet` elements

  Returns:
    the current instance of `WebAppType`

### servlet

    ServletType<WebAppType<T>> servlet()

  Returns the `servlet` element

  Returns:
    the node defined for the element `servlet`

### getServletList

    java.util.List<ServletType<WebAppType<T>>> getServletList()

  Returns all `servlet` elements

  Returns:
    list of `servlet`

### removeAllServletMapping

    WebAppType<T> removeAllServletMapping()

  Removes all `servlet-mapping` elements

  Returns:
    the current instance of `WebAppType`

### servletMapping

    ServletMappingType<WebAppType<T>> servletMapping()

  Returns the `servlet-mapping` element

  Returns:
    the node defined for the element `servlet-mapping`

### getServletMappingList

    java.util.List<ServletMappingType<WebAppType<T>>> getServletMappingList()

  Returns all `servlet-mapping` elements

  Returns:
    list of `servlet-mapping`

### removeAllSessionConfig

    WebAppType<T> removeAllSessionConfig()

  Removes all `session-config` elements

  Returns:
    the current instance of `WebAppType`

### sessionConfig

    SessionConfigType<WebAppType<T>> sessionConfig()

  Returns the `session-config` element

  Returns:
    the node defined for the element `session-config`

### getSessionConfigList

    java.util.List<SessionConfigType<WebAppType<T>>> getSessionConfigList()

  Returns all `session-config` elements

  Returns:
    list of `session-config`

### removeAllMimeMapping

    WebAppType<T> removeAllMimeMapping()

  Removes all `mime-mapping` elements

  Returns:
    the current instance of `WebAppType`

### mimeMapping

    MimeMappingType<WebAppType<T>> mimeMapping()

  Returns the `mime-mapping` element

  Returns:
    the node defined for the element `mime-mapping`

### getMimeMappingList

    java.util.List<MimeMappingType<WebAppType<T>>> getMimeMappingList()

  Returns all `mime-mapping` elements

  Returns:
    list of `mime-mapping`

### removeAllWelcomeFileList

    WebAppType<T> removeAllWelcomeFileList()

  Removes all `welcome-file-list` elements

  Returns:
    the current instance of `WebAppType`

### welcomeFileList

    WelcomeFileListType<WebAppType<T>> welcomeFileList()

  Returns the `welcome-file-list` element

  Returns:
    the node defined for the element `welcome-file-list`

### getWelcomeFileListList

    java.util.List<WelcomeFileListType<WebAppType<T>>> getWelcomeFileListList()

  Returns all `welcome-file-list` elements

  Returns:
    list of `welcome-file-list`

### removeAllErrorPage

    WebAppType<T> removeAllErrorPage()

  Removes all `error-page` elements

  Returns:
    the current instance of `WebAppType`

### errorPage

    ErrorPageType<WebAppType<T>> errorPage()

  Returns the `error-page` element

  Returns:
    the node defined for the element `error-page`

### getErrorPageList

    java.util.List<ErrorPageType<WebAppType<T>>> getErrorPageList()

  Returns all `error-page` elements

  Returns:
    list of `error-page`

### removeAllJspConfig

    WebAppType<T> removeAllJspConfig()

  Removes all `jsp-config` elements

  Returns:
    the current instance of `WebAppType`

### jspConfig

    JspConfigType<WebAppType<T>> jspConfig()

  Returns the `jsp-config` element

  Returns:
    the node defined for the element `jsp-config`

### getJspConfigList

    java.util.List<JspConfigType<WebAppType<T>>> getJspConfigList()

  Returns all `jsp-config` elements

  Returns:
    list of `jsp-config`

### removeAllSecurityConstraint

    WebAppType<T> removeAllSecurityConstraint()

  Removes all `security-constraint` elements

  Returns:
    the current instance of `WebAppType`

### securityConstraint

    SecurityConstraintType<WebAppType<T>> securityConstraint()

  Returns the `security-constraint` element

  Returns:
    the node defined for the element `security-constraint`

### getSecurityConstraintList

    java.util.List<SecurityConstraintType<WebAppType<T>>> getSecurityConstraintList()

  Returns all `security-constraint` elements

  Returns:
    list of `security-constraint`

### removeAllLoginConfig

    WebAppType<T> removeAllLoginConfig()

  Removes all `login-config` elements

  Returns:
    the current instance of `WebAppType`

### loginConfig

    LoginConfigType<WebAppType<T>> loginConfig()

  Returns the `login-config` element

  Returns:
    the node defined for the element `login-config`

### getLoginConfigList

    java.util.List<LoginConfigType<WebAppType<T>>> getLoginConfigList()

  Returns all `login-config` elements

  Returns:
    list of `login-config`

### removeAllSecurityRole

    WebAppType<T> removeAllSecurityRole()

  Removes all `security-role` elements

  Returns:
    the current instance of `WebAppType`

### securityRole

    SecurityRoleType<WebAppType<T>> securityRole()

  Returns the `security-role` element

  Returns:
    the node defined for the element `security-role`

### getSecurityRoleList

    java.util.List<SecurityRoleType<WebAppType<T>>> getSecurityRoleList()

  Returns all `security-role` elements

  Returns:
    list of `security-role`

### removeAllMessageDestination

    WebAppType<T> removeAllMessageDestination()

  Removes all `message-destination` elements

  Returns:
    the current instance of `WebAppType`

### messageDestination

    MessageDestinationType<WebAppType<T>> messageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### getMessageDestinationList

    java.util.List<MessageDestinationType<WebAppType<T>>> getMessageDestinationList()

  Returns all `message-destination` elements

  Returns:
    list of `message-destination`

### removeAllLocaleEncodingMappingList

    WebAppType<T> removeAllLocaleEncodingMappingList()

  Removes all `locale-encoding-mapping-list` elements

  Returns:
    the current instance of `WebAppType`

### localeEncodingMappingList

    LocaleEncodingMappingListType<WebAppType<T>> localeEncodingMappingList()

  Returns the `locale-encoding-mapping-list` element

  Returns:
    the node defined for the element `locale-encoding-mapping-list`

### getLocaleEncodingMappingListList

    java.util.List<LocaleEncodingMappingListType<WebAppType<T>>> getLocaleEncodingMappingListList()

  Returns all `locale-encoding-mapping-list` elements

  Returns:
    list of `locale-encoding-mapping-list`

### setDescription

    WebAppType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `WebAppType`

### setDescriptionList

    WebAppType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `WebAppType`

### removeAllDescription

    WebAppType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `WebAppType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    WebAppType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `WebAppType`

### setDisplayNameList

    WebAppType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `WebAppType`

### removeAllDisplayName

    WebAppType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `WebAppType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    WebAppType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `WebAppType`

### icon

    IconType<WebAppType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<WebAppType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeAllEnvEntry

    WebAppType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Returns:
    the current instance of `WebAppType`

### envEntry

    EnvEntryType<WebAppType<T>> envEntry()

  Returns the `env-entry` element

  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    java.util.List<EnvEntryType<WebAppType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Returns:
    list of `env-entry`

### removeAllEjbRef

    WebAppType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `WebAppType`

### ejbRef

    EjbRefType<WebAppType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<WebAppType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    WebAppType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `WebAppType`

### ejbLocalRef

    EjbLocalRefType<WebAppType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<WebAppType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    WebAppType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `WebAppType`

### resourceRef

    ResourceRefType<WebAppType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<WebAppType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    WebAppType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `WebAppType`

### resourceEnvRef

    ResourceEnvRefType<WebAppType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<WebAppType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    WebAppType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `WebAppType`

### messageDestinationRef

    MessageDestinationRefType<WebAppType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<WebAppType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    WebAppType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Returns:
    the current instance of `WebAppType`

### persistenceContextRef

    PersistenceContextRefType<WebAppType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    java.util.List<PersistenceContextRefType<WebAppType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    WebAppType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Returns:
    the current instance of `WebAppType`

### persistenceUnitRef

    PersistenceUnitRefType<WebAppType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    java.util.List<PersistenceUnitRefType<WebAppType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    WebAppType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Returns:
    the current instance of `WebAppType`

### postConstruct

    LifecycleCallbackType<WebAppType<T>> postConstruct()

  Returns the `post-construct` element

  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    java.util.List<LifecycleCallbackType<WebAppType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Returns:
    list of `post-construct`

### removeAllPreDestroy

    WebAppType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Returns:
    the current instance of `WebAppType`

### preDestroy

    LifecycleCallbackType<WebAppType<T>> preDestroy()

  Returns the `pre-destroy` element

  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    java.util.List<LifecycleCallbackType<WebAppType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Returns:
    list of `pre-destroy`

### removeAllDataSource

    WebAppType<T> removeAllDataSource()

  Removes all `data-source` elements

  Returns:
    the current instance of `WebAppType`

### dataSource

    DataSourceType<WebAppType<T>> dataSource()

  Returns the `data-source` element

  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    java.util.List<DataSourceType<WebAppType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Returns:
    list of `data-source`

### setVersion

    WebAppType<T> setVersion(WebAppVersionType version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebAppType`

### setVersion

    WebAppType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `WebAppType`

### removeVersion

    WebAppType<T> removeVersion()

  Removes the `version` attribute

  Returns:
    the current instance of `WebAppType`

### getVersion

    WebAppVersionType getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### getVersionAsString

    java.lang.String getVersionAsString()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    WebAppType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `WebAppType`

### removeMetadataComplete

    WebAppType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Returns:
    the current instance of `WebAppType`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

### setModuleName

    WebAppType<T> setModuleName(java.lang.String moduleName)

  Creates a new `module-name` element

  Returns:
    the current instance of `WebAppType`

### setModuleNameList

    WebAppType<T> setModuleNameList(java.lang.String... values)

  Creates for all String objects representing `module-name` elements, a new `module-name` element

  Parameters:
    `list` - of `module-name` objects
  Returns:
    the current instance of `WebAppType`

### removeAllModuleName

    WebAppType<T> removeAllModuleName()

  Removes the `module-name` element

  Returns:
    the current instance of `WebAppType`

### getModuleNameList

    java.util.List<java.lang.String> getModuleNameList()

  Returns all `module-name` elements

  Returns:
    list of `module-name`

### removeAllAbsoluteOrdering

    WebAppType<T> removeAllAbsoluteOrdering()

  Removes all `absolute-ordering` elements

  Returns:
    the current instance of `WebAppType`

### absoluteOrdering

    AbsoluteOrderingType<WebAppType<T>> absoluteOrdering()

  Returns the `absolute-ordering` element

  Returns:
    the node defined for the element `absolute-ordering`

### getAbsoluteOrderingList

    java.util.List<AbsoluteOrderingType<WebAppType<T>>> getAbsoluteOrderingList()

  Returns all `absolute-ordering` elements

  Returns:
    list of `absolute-ordering`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD